<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */
get_header(); ?>
<div id="container-pro-figure">
	<div class="pro-figure-main">
	    <div class="topimgs"><img src="https://www.glintgravel.com/wp-content/uploads/2023/08/Group-4.png"/></div>
	    <div class="top-nav-list">
	        <div class="left-list-name">COMPANY</div>
	        <div class="right-list-nav">
	            <?php
	                  $ids = explode('_',$_GET['id'])[0];
                	  $categories = get_terms( 'figure_category', array(
                        'orderby' => 'count',
                        'hide_empty' => 0
                        ) );
                	    $count = count($categories); $i=0;
                        $term_list = '<a href="/figure_category/all/" class="shows">ALL</a>';
                        foreach ($categories as $term) {
                        $i++;
                        $hide = '';
                        $shows = '';
                        if ($term->slug == 'all') {
                            $hide = 'hides';
                        }
                        if($ids == $term->term_id){
                            $shows = 'shows';
                        }
                        $term_list .= '<a href="/figure/?id='.$term->term_id.'" title="' . sprintf(__('View all post filed under %s', 'my_localization_domain'), $term->name) . '" class="'.$hide.' '.$shows.'">' . $term->name . '</a>';
                        }
                        echo $term_list;
                ?>
	        </div>
	    </div>
	    <div class="main-lists">
	        <div class="main-lits">
	            <?php
					$args = array(
						'post_type' => 'figure',
						'orderby'=>'date',
						'order'=>'DESC',
						'tax_query'              => array(
						    'relation' => 'OR',
                            array(
                                'taxonomy'         => 'figure_category', // taxonomy slug
                                'terms'            => explode('_',$_GET['id'])[0] ? explode('_',$_GET['id'])[0] : ''
                            )
                        ),
					);
					$querys = new WP_Query($args);
					if ($querys->have_posts()) {
						while ($querys->have_posts()) {
						   $querys->the_post();
						   echo '<div class="img-lists"><a href="'.get_the_permalink().'">';
						   echo get_the_post_thumbnail(); 
						   echo '<div class="posimg">';
						   echo '<p>'.esc_html(get_post_type()).'</p>';
						   echo '<p>'.esc_html(get_the_title()).'</p>';
						   echo '</div>';
						   echo '</a></div>';
						} 
					} else {
					    echo '<div class="img-lists">';
						echo esc_html_e("Sorry, no posts matched your criteria.");
						echo '</div>';
					}
				?>
	            <!--<div class="img-lists">-->
	            <!--    <a href="###">-->
	            <!--        <img src="https://www.glintgravel.com/wp-content/uploads/2023/08/Clip-path-group-2.png"/>-->
    	        <!--        <div class="posimg">-->
    	        <!--            <p>LSP PRO系列</p>-->
    	        <!--            <p>兽耳童话：白雪公主 Blanc</p>-->
    	        <!--        </div>-->
	            <!--    </a>-->
	            <!--</div>-->

	        </div>
	    </div>
	</div>
</div>
<?php
get_footer();
?>