<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */
get_header(); ?>
<div id="container-news-pro">
	<div class="pro-figure-main">
		<div class="new-list-thum"><span>Home ></span> <a href="/News/">News</a></div>
		<div class="fenlei-id-type">
		     <div class="title-news">NEWS</div>
		     <div class="new-lists">
		         <?php
	                  $ids = explode('_',$_GET['id'])[0];
                	  $categories = get_terms( 'category', array(
                        'orderby' => 'count',
                        'hide_empty' => 0
                        ) );
                	    $count = count($categories); $i=0;
                        $term_list = '';
                        foreach ($categories as $term) {
                        $i++;
                        $hide = '';
                        $shows = '';
                        if ($term->slug == 'all') {
                            $hide = 'hides';
                        }
                        if($ids == $term->term_id){
                            $shows = 'shows';
                        }
                        $term_list .= '<a href="/category/'.$term->slug.'/?id='.$term->term_id.'" title="' . sprintf(__('View all post filed under %s', 'my_localization_domain'), $term->name) . '" class="'.$hide.' '.$shows.'">' . $term->name . '</a>';
                        }
                        echo $term_list;
                ?>
	        </div>
		</div>
		
		<ul class="news-list-list">
		     <?php 
			   if (have_posts()) : ?><?php while (have_posts()) : the_post(); 
        			?>
            		<li><a href="<?php the_permalink(); ?>"><span class="newtitles"><?php the_title(); ?></span><span style="flex:none;width:83px;"><?php the_time('Y-m-d'); ?></span></a></li>
        		<?php endwhile; ?>
        		<?php endif; ?>
		</ul>
		<div class="navipage">
		   <?php the_posts_pagination(array(
					'mid_size' => 1,
					'prev_text' => '<',
					'next_text' => '>',
					'before_page_number' => '<span class="meta-nav screen-reader-text">第 </span>',
					'after_page_number' => '<span class="meta-nav screen-reader-text"> 页</span>',
			)); ?>
		</div>
	</div>
</div>
<?php
get_footer();
?>