<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */
get_header(); ?>
<div id="container-pro-figure">
	<div class="pro-figure-main">
	    <div class="topimgs"><img src="https://www.glintgravel.com/wp-content/uploads/2023/08/Group-4.png"/></div>
	    <div class="top-nav-list">
	        <div class="left-list-name">COMPANY</div>
	        <div class="right-list-nav">
	            <?php
	                  $ids =$_GET['id'];
                	  $categories = get_terms( 'figure_category', array(
                        'orderby' => 'count',
                        'hide_empty' => 0
                        ) );
                	    $count = count($categories); $i=0;
                        $term_list = '<a href="/figure_category/all/" class="shows">ALL</a>';
                        foreach ($categories as $term) {
                        $i++;
                        $hide = '';
                        $shows = '';
                        if ($term->slug == 'all') {
                            $hide = 'hides';
                        }
                        if($ids == $term->term_id){ 
                            $shows = 'shows';
                        }
                        $term_list .= '<a href="/figure_category/'.$term->slug.'/?id='.$term->term_id.'" title="' . sprintf(__('View all post filed under %s', 'my_localization_domain'), $term->name) . '" class="'.$hide.' '.$shows.'">' . $term->name . '</a>';
                        }
                        echo $term_list;
                ?>
	        </div>
	    </div>
	    <div class="main-lists">
	        <div class="main-lits">
	             <?php 
			   if (have_posts()) : ?><?php while (have_posts()) : the_post(); 
        			?>
            		<div class="img-lists">
    	                <a href="<?php the_permalink(); ?>">
    	                    <?php the_post_thumbnail(); ?>
        	                <div class="posimg">
        	                    <p><?php single_cat_title(); ?></p>
        	                    <p><?php the_title(); ?></p>
        	                </div>
    	                </a>
    	            </div>
        		<?php endwhile; ?>
        		<?php endif; ?>
	        </div>
	    </div>
	    <div class="navipage">
		   <?php the_posts_pagination(array(
					'mid_size' => 1,
					'prev_text' => '<',
					'next_text' => '>',
					'before_page_number' => '<span class="meta-nav screen-reader-text">第 </span>',
					'after_page_number' => '<span class="meta-nav screen-reader-text"> 页</span>',
			)); ?>
		</div>
	</div>
</div>
<?php
get_footer();
?>