<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */
get_header(); ?>

<div id="container-pro-figure">
	<div class="pro-figure-main">
	    <div class="topimgs"><img src="https://www.glintgravel.com/wp-content/uploads/2023/08/Group-6.png"/></div>
	    <div class="top-nav-list">
	        <div class="left-list-name">TAG</div>
	        <div class="right-list-nav">
	            <?php
	                  $ids =$_GET['id'];
	                  $yearoneses = $_GET['tims']?$_GET['tims']:'';
	                  $_SESSION['names'] = $_GET['names'];
	                  $allid = '';
                	  $categories = get_terms( 'gk_category', array(
                        'orderby' => 'count',
                        'hide_empty' => 0
                        ) );
                	    $count = count($categories); $i=0;
                        $term_list = '<a href="/gk_category/all/">ALL</a>';
                        foreach ($categories as $term) {
                        $i++;
                        $hide = '';
                        $shows = '';
                        if ($term->slug == 'all') {
                            $hide = 'hides';
                            $allid = $term->term_id;
                        }
                        if($ids == $term->term_id){ 
                            $shows = 'shows';
                        }
                        $term_list .= '<a href="/gk_category/'.$term->slug.'/?id='.$term->term_id.'&names='.$term->slug.'&tims='.$yearoneses.'" title="' . sprintf(__('View all post filed under %s', 'my_localization_domain'), $term->name) . '" class="'.$hide.' '.$shows.'">' . $term->name . '</a>';
                        }
                        echo $term_list;
                ?>
	        </div>
	    </div>
                        
	    <div class="main-lists">
	       
	        <div class="time-cel">
	            <div class="ups xs">︿</div>
	            <div class="modelabox">
	                <?php
	                    $iwds =$_GET['id']?$_GET['id']:$allid;
	                    $timse = $_GET['tims'];
	                    $namees = $_SESSION['names'];
                        $query_args = array(
                            'post_type'      => 'gk',
                    		'posts_per_page'         => 1,
                    		'numberposts'     => 1,
                    		'order'                  => 'ASC',
                    		'orderby'        => 'date'
                    	);
                	    $query_args['tax_query'] = array(
                			array(
                				'taxonomy' => 'gk_category',
                				'terms'    => array($iwds)
                			),
                		);
                        $frits = get_posts( $query_args );
                        if(!empty($frits) || $frits){
                             $dates = $frits[0]->post_date;
                            //获取最早的一篇文章年份
                            $yearone = date('Y',strtotime($dates));
                            //获取当年的年份
                            $yearcure = date('Y');
                            
                            $dateArr = array();
                            for($i=$yearone;  $i<=$yearcure ;$i++){
                                $dateArr[]=$i;
                            }
            	            foreach ($dateArr as $v){
                                $showse = '';
                                if($v == $timse){
                                    $showse ="showes";
                                }
            	               echo '<a href="?id='.$iwds.'&tims='.$v.'&names='.$namees.'" class="'.$showse.'">'.$v.'</a>';
            	            }
                        }else{
                            echo '<a>暂无</a>';
                            
                        }
        	        ?>
        	        </div>
	            <div class="downs xs">﹀</div>
	        </div>
	        <div class="main-lits">
	            <?php
	               $yearones = $_GET['tims'];
	               $namees = $_GET['names']?$_GET['names']:'All';
	               $args = array(
						'post_type' => 'gk',
						'orderby'=>'date',
						'order'=>'DESC',
                        'posts_per_page' => $posts_per_page,
                        'paged'  => $paged,
						'tax_query'  => array(
						    'relation' => 'OR',
                            array(
                                'taxonomy'         => 'gk_category',
                                'terms'            => $_GET['id']?$_GET['id']:$allid
                            )
                        ),
					);
					if(!empty($yearones)){
					   $args['date_query'] = array(
					       array(
                                    'year'      => $yearones,
                                    'month' => '1',
                                    'day'   => '1',
                                    'compare'   => '>=',
                                ),
                                array(
                                    'year'      => $yearones,
                                    'month' => 12,
                                    'day'   => 31,
                                    'compare'   => '<=',
                                )
					   );
					}
	                $queryww = new WP_Query( $args );
	                foreach ($queryww->posts as $vk){
	                    $terms = wp_get_post_terms($vk->ID, 'gk_category', array('fields' => 'slugs'));
	                    $vk->category = $terms;
	                }
	                if ($queryww->have_posts()) {
                        while ($queryww->have_posts()) {
                            $queryww->the_post();
                            //$categoryaaa=get_the_category(the_ID());
                            // print_r("<pre>");
                            // print_r($categoryaaa);
                            echo '<div class="img-lists imgs-lis">';
                            echo '<a href="'.get_the_permalink().'">';
                            echo get_the_post_thumbnail();
                            echo '<div class="posimg">';
                            echo '<p>'.$namees.'</p>';
                            echo '<p>'. esc_html(get_the_title()).'</p>';
                            echo '</div>';
                            echo '</a>';
                            echo '</div>';
                        }
                    } else {
                        // no posts found
                    }
	            ?>
	        </div>
	    </div>
	    <div class="navipage">
		  <?php 
            //调用分页
            lingfeng_custom_pagenavi($queryww);
            wp_reset_postdata();
           ?>
		</div>
	</div>
</div>
<?php
get_footer();
?>